Bug 157586 - Fix port: irc/ircd-ratbox-devel should use USERS
Summary: Fix port: irc/ircd-ratbox-devel should use USERS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-04 10:30 UTC by Chris Rees
Modified: 2011-06-27 19:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-06-04 10:30:13 UTC
	

	This port uses pkg-install to create new users instead of using USERS= and GROUPS=

Fix: - Use USERS and GROUPS

	Submitted by: Chris Rees (utisoft@gmail.com)




-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--RUw2bwUnoJJ0trn6UgoBOlh7UVCqRLoRNfGvUE42ePx4UUfN
Content-Type: text/plain; name="irc-ircd-ratbox-devel.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="irc-ircd-ratbox-devel.patch"

Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/irc/ircd-ratbox-devel/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- Makefile	28 Jan 2010 21:27:34 -0000	1.25
+++ Makefile	2 Jun 2011 19:17:50 -0000
@@ -28,6 +28,9 @@
 USE_PERL5_BUILD=	yes
 USE_LDCONFIG=	${PREFIX}/lib/ircd-ratbox
 
+USERS=		ircd
+GROUPS=		${USERS}
+
 LOGDIR?=	/var/log/${PORTNAME}
 RUNDIR?=	/var/run/${PORTNAME}
 DBDIR?=		/var/db/${PORTNAME}
@@ -188,7 +191,6 @@
 		${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} m_rsshortcut.la
 
 pre-su-install:
-	@${SETENV} "PKG_PREFIX=${PREFIX}" ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
 	${MKDIR} ${PREFIX}/etc/${PORTNAME}
 	${MKDIR} ${DATADIR}/help
 	${MKDIR} ${PREFIX}/lib/${PORTNAME}/modules
Index: files/pkg-install.in
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/irc/ircd-ratbox-devel/files/pkg-install.in,v
retrieving revision 1.3
diff -u -r1.3 pkg-install.in
--- files/pkg-install.in	28 May 2009 19:18:16 -0000	1.3
+++ files/pkg-install.in	2 Jun 2011 19:16:24 -0000
@@ -3,92 +3,11 @@
 # Adapted from irc/ircd-hybrid's script
 #
 
-ask() {
-	local question default answer
-
-	question=$1
-	default=$2
-	if [ -z "${PACKAGE_BUILDING}" ]; then
-		read -p "${question} [${default}]? " answer
-	fi
-	if [ x${answer} = x ]; then
-		answer=${default}
-	fi
-	echo ${answer}
-}
-
-yesno() {
-	local dflt question answer
-
-	question=$1
-	dflt=$2
-	while :; do
-		answer=$(ask "${question}" "${dflt}")
-		case "${answer}" in
-		[Yy]*)          return 0;;
-		[Nn]*)          return 1;;
-		esac
-		echo "Please answer yes or no."
-	done
-}
-
 #-----------------------------------------------------------------------
 if [ "x$2" = "xPRE-INSTALL" ]; then
 #-----------------------------------------------------------------------
 
-if which -s pw ; then
-	:
-else
-	cat <<EOF
-Your system does not include the "pw" utility.  You should upgrade
-to a newer version of FreeBSD.  Without "pw" this script will not
-run.
-EOF
-	exit 1
-fi
-
-echo ""
-if pw groupshow ircd 2> /dev/null ; then
-	echo "You already have a group \"ircd\", so I will use it."
-else
-	if pw groupshow 72 2> /dev/null ; then
-		echo "You already have a gid \"72\".  Please create a user \"ircd\""
-		echo "with a default group of \"ircd\"."
-		exit 1
-	fi
-	echo "You need a group \"ircd\"."
-	if which -s pw && yesno "Would you like me to create it" y; then
-		pw groupadd ircd -g 72 || exit
-		echo "Done."
-	else
-		echo "Please create it, and try again."
-		if ! pw usershow ircd 2> /dev/null ; then
-			echo "While you're at it, please create a user \"ircd\""
-			echo 'too, with a default group of "ircd".'
-		fi
-		exit 1
-	fi
-fi
-
-if pw usershow ircd 2> /dev/null ; then
-	echo "You already have a user \"ircd\", so I will use it."
-else
-        if pw usershow 72 2> /dev/null ; then
-                echo "You already have a uid \"72\".  Please create a user \"irc
-d\""
-                echo "with a default group of \"ircd\"."
-                exit 1
-        fi
-	echo "You need a user \"ircd\"."
-	if which -s pw && yesno "Would you like me to create it" y; then
-		pw useradd ircd -g ircd -u 72 -h - -d /nonexistent \
-			-s /nonexistent -c "IRC Daemon" || exit
-		echo "Done."
-	else
-		echo "Please create it, and try again."
-		exit 1
-	fi
-fi
+# ${DO_NADA}
 
 #-----------------------------------------------------------------------
 elif [ "x$2" = "xPOST-INSTALL" ]; then
Comment 1 Edwin Groothuis freebsd_committer 2011-06-04 10:31:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-06-04 10:31:16 UTC
Maintainer of irc/ircd-ratbox-devel,

Please note that PR ports/157586 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157586

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-06-04 10:31:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 moggie 2011-06-16 22:34:27 UTC
This looks like a reasonable thing to do.


On 04/06/2011 10:31, Edwin Groothuis wrote:
> Maintainer of irc/ircd-ratbox-devel,
>
> Please note that PR ports/157586 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157586
>
Comment 5 Chris Rees freebsd_committer 2011-06-22 17:52:56 UTC
Responsible Changed
From-To: pgollucci->crees

Invalid autoassignment
Comment 6 Chris Rees freebsd_committer 2011-06-22 18:01:27 UTC
Responsible Changed
From-To: crees->freebsd-ports-bugs

To pool to correct assign message
Comment 7 Chris Rees freebsd_committer 2011-06-22 18:24:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

Invalid autoassignment to pgollucci
Comment 8 Chris Rees freebsd_committer 2011-06-26 17:27:53 UTC
State Changed
From-To: feedback->open

Maintainer has timed out
Comment 9 dfilter service freebsd_committer 2011-06-27 18:59:45 UTC
crees       2011-06-27 17:59:37 UTC

  FreeBSD ports repository

  Modified files:
    irc/ircd-ratbox-devel Makefile 
    irc/ircd-ratbox-devel/files pkg-install.in 
  Log:
  - Use USERS and GROUPS
  
  PR:             ports/157586
  Submitted by:   Chris Rees (utisoft@gmail.com)
  Approved by:    tabthorpe (co-mentor), maintainer
  
  Revision  Changes    Path
  1.26      +3 -1      ports/irc/ircd-ratbox-devel/Makefile
  1.4       +1 -82     ports/irc/ircd-ratbox-devel/files/pkg-install.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Chris Rees freebsd_committer 2011-06-27 18:59:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!